Package org.eclipse.mat.ibmvm.acquire

## Enum DumpType

- java.lang.Object
- - java.lang.Enum<DumpType>
  - - org.eclipse.mat.ibmvm.acquire.DumpType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<DumpType>`

    public enum DumpType
    extends java.lang.Enum<DumpType>

Used for selecting the appropriate dump type

### Enum Constant Summary

Enum Constants
`HEAP`
`HPROF`
`JAVA`
`SYSTEM`

### Method Summary

All Methods Static Methods Concrete Methods
`static DumpType` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DumpType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SYSTEM

    public static final DumpType SYSTEM

#### HEAP

    public static final DumpType HEAP

#### JAVA

    public static final DumpType JAVA

#### HPROF

    public static final DumpType HPROF

### Method Detail

#### values

    public static DumpType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DumpType c : DumpType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DumpType valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null